For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of exports for a database
          • POSTAdds an export to a database
          • PUTUpdates an export configuration
          • DELDelete Export
          • PUTUpdate Schedule in Cron Format
          • POSTRun Export
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformExports

Update Schedule in Cron Format

PUT
https://meta.feedonomics.com/api.php/dbs/:db_id/exports/:export_id/schedule
PUT
/api.php/dbs/:db_id/exports/:export_id/schedule
$curl -X PUT https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1/schedule \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Exports_updateScheduleInCronFormat_example
1{
2 "cron": "0 1 * * 1",
3 "paused": 0
4}
Was this page helpful?
Previous

Delete Export

Next

Run Export

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired
export_iddoubleRequired

Headers

x-api-keystringRequired

Request

Json object containing 'day','hour','minute' with values, or 'paused' boolean, or both
daystringOptional
hourstringOptional
minutestringOptional
pauseddoubleOptional
0 or 1. 1 sets to paused. 0 is default.

Response

Updated schedule in cron format and current paused state